/*--------------------------------------------------------------------------*
  dcmp.h  (c) Copyright 1991,92 Tobias Ferber.  All Rights Reserved.
 *--------------------------------------------------------------------------*/

/* data.c */

extern struct TextAttr TextAttr;
extern struct IntuiText gadget_text[];
extern struct IntuiText info_text[];

#define HOOK_ID    0L  /* gadget ID's */
#define BEGIN_ID   1L
#define LOGFILE_ID 2L
#define DRIVE0_ID  3L
#define DRIVE1_ID  4L
#define DRIVE2_ID  5L
#define DRIVE3_ID  6L
#define OVERLAY_ID 7L
#define STRING_ID  8L

extern char logfile_name[];
extern struct StringInfo string_info;
extern struct Gadget string_gadget;
extern struct Gadget overlay_gadget;
extern struct Gadget drive_gadget[];
extern struct Gadget logfile_gadget;
extern struct Gadget begin_gadget;
extern struct Gadget hook_gadget;
extern struct NewWindow NewWindow;
extern struct Image LogoImage;

extern struct DiskObject LogIcon; /* The logfile icon */
extern char DefaultTool[256];

/* menus.c */

extern struct MenuItem SubItems[4][37];
extern struct MenuItem Items[4][34];
extern struct Menu MenuStrip[4][4];

/* info.c */

#define INFO_COPYRIGHT     0
#define INFO_DISTRIBUTION  (1*3)
#define INFO_IDEAS         (2*3)
#define INFO_LIBRARIES     (3*3)
#define INFO_COMPILER      (4*3)
#define INFO_SUPPORT       (5*3)
#define INFO_LANGUAGE      (6*3)
#define INFO_TESTING       (7*3)
#define INFO_VERSIONS      (8*3)

extern char *info_msg[4][27];
